Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class SurvivorCalculator

    java.lang.Object
      com.sun.mdm.index.survivor.SurvivorCalculator

All Implemented Interfaces:
  java.io.Serializable

public class SurvivorCalculator
extends java.lang.Object
implements java.io.Serializable

Survivor calculator class

See Also:
  Serialized Form

Constructor Summary
`SurvivorCalculator(MatchEngineController match)` Creates new SurvivorCalculator using default helper object
`SurvivorCalculator(MatchEngineController match, AbstractSurvivorHelper h)` Creates a new SurvivorCalculator, using the passed in helper object
`SurvivorCalculator(Standardizer standardizer)`

Method Summary
`void` | `determineSurvivor(EnterpriseObject omega)` determines the survivor for each field and updates the SBR record
`java.util.Map` | `getLinkValues(EnterpriseObject eo, java.sql.Connection conn)` To decode the value from LINK information of an Enterprise Object to a Map
`void` | `setHelper(AbstractSurvivorHelper h)` sets the helper object
`EnterpriseObject` | `updateSBR(java.util.Map mapSystems, EnterpriseObject eo, boolean removalFlag)` Updates SBR by collecting the values from MAP to the SBR that specified by EUID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurvivorCalculator

    public SurvivorCalculator(MatchEngineController match)
                       throws HelperCreationException

  Creates new SurvivorCalculator using default helper object

  Parameters:
    `match` - MatchEngineController
  Throws:
    `HelperCreationException` - error during helper creation

### SurvivorCalculator

    public SurvivorCalculator(MatchEngineController match,
                              AbstractSurvivorHelper h)

  Creates a new SurvivorCalculator, using the passed in helper object

  Parameters:
    `match` - MatchEngineController
    `h` - helper object reference

### SurvivorCalculator

    public SurvivorCalculator(Standardizer standardizer)
                       throws HelperCreationException

Method Detail

### determineSurvivor

    public void determineSurvivor(EnterpriseObject omega)
                           throws SurvivorCalculationException,
                                  SystemObjectException,
                                  ObjectException

  determines the survivor for each field and updates the SBR record

  Parameters:
    `omega` - EnterpriseObject
  Throws:
    `SystemObjectException` - error accessing object node
    `ObjectException` - object exception
    `SurvivorCalculationException` - calculation failed

### getLinkValues

    public java.util.Map getLinkValues(EnterpriseObject eo,
                                       java.sql.Connection conn)
                                throws ObjectException,
                                       ConnectionInvalidException,
                                       OPSException

  To decode the value from LINK information of an Enterprise Object to a Map

  Parameters:
    `eo` - the EnterpriseObject that user need to decode the value from LINK information
    `conn` - Connection Object for querying LINK information
  Returns:
    Map with fieldName as value and corresponding Value from the system specified in link
  Throws:
    `ObjectException`
    `ConnectionInvalidException`
    `OPSException`

### setHelper

    public void setHelper(AbstractSurvivorHelper h)

  sets the helper object

  Parameters:
    `h` - helper object reference

### updateSBR

    public EnterpriseObject updateSBR(java.util.Map mapSystems,
                                      EnterpriseObject eo,
                                      boolean removalFlag)
                               throws ProcessingException,
                                      UserException

  Updates SBR by collecting the values from MAP to the SBR that specified by EUID.

  Parameters:
    `mapSystems` - The Map consists of epath as key and System as value from which the filed should take for updating SBR
  Throws:
    `ProcessingException`
    `UserException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.